Skip to main content
POST
/
folder
/
update
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "folder_id": "25388237-72ba-46a9-b8b5-f0341939775c",
    "folder_name": "Outbound Team",
    "description": "Top of funnel campaigns"
}

response = client.folders.update(**payload)
print(response)
{
  "success": true,
  "folder": {
    "_id": "69f9a4393fd42c4dfc2aaaa9",
    "folder_id": "25388237-72ba-46a9-b8b5-f0341939775c",
    "user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
    "name": "Outbound Team",
    "description": "Top of funnel campaigns",
    "agent_ids": [],
    "created_at": {
      "$date": "2026-05-05T08:03:05.855Z"
    },
    "updated_at": {
      "$date": "2026-05-05T08:07:13.690Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Update folder.

Folder Update Request schema.

folder_id
string
required

Folder ID

Example:

"25388237-72ba-46a9-b8b5-f0341939775c"

folder_name
string
required

New folder name

Example:

"Outbound Team"

description
string

New description

Example:

"Top of funnel campaigns"

Response

Folder updated

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.